package gov.grants.apply.agency.v2;

public class Globals {
	
	public static final String CID_PREFIX = "cid:";
	public static final int CID_PREFIX_LENGTH = CID_PREFIX.length();
	
	
	/* =========================== */
	/* Command-line parameter keys */
	/* =========================== */
	public static final String URL_PREFIX_CMD_LINE_KEY = "url_prefix";
	public static final String CONFIG_XML_CMD_LINE_KEY = "config_xml";
	public static final String OPP_XML_CMD_LINE_KEY = "opp_xml";
	public static final String OPP_NUM_CMD_LINE_KEY = "opp_num";
	public static final String OPP_XML_USER_ID_CMD_LINE_KEY = "opp_xml_user_id";
	public static final String GG_TRACKING_NUM_CMD_LINE_KEY = "gg_tracking_num";
	public static final String AGENCY_TRACKING_NUM_CMD_LINE_KEY = "agency_tracking_num";
	public static final String STATUS_CMD_LINE_KEY = "status";
	
	
	/* ======================== */
	/* config xml element names */
	/* ======================== */
	public static final String AGENCY_TRACKING_NUM_ELEMENT_NAME = "agency-tracking-num";
	public static final String AGENCY_NOTES_ELEMENT_NAME = "agency-notes";
	public static final String MANAGE_PKG_DIR_ELEMENT_NAME = "manage-pkg-dir";
	public static final String MANAGE_PKG_XML_ELEMENT_NAME = "manage-pkg-xml";
	
	public static final String MANAGE_PKG_ROOT = "ManagePackage";
	
		
	public static final String MANAGE_PKG_USER_ID = "UserID";
	public static final String MANAGE_PKG_OPP_NUM = "FundingOpportunityNumber";
	public static final String MANAGE_PKG_CREATE_OPP_INFO = "CreateOpportunityInfo";
	public static final String MANAGE_PKG_OPP_TITLE = "FundingOpportunityTitle";
	public static final String MANAGE_PKG_OPP_CAT = "OpportunityCategory";
	public static final String MANAGE_PKG_OPP_CAT_EXP = "OpportunityCategoryExplanation";
	public static final String MANAGE_PKG_CFDA_NUM = "CFDANumber";
	public static final String MANAGE_PKG_CREATE_PKG_INFO = "CreatePackageInfo";
	public static final String MANAGE_PKG_UPDATE_PKG_INFO = "UpdatePackageInfo";
	public static final String MANAGE_PKG_DELETE_PKG_INFO = "DeletePackageInfo";
	public static final String MANAGE_PKG_COMP_INFO = "CompetitionInfo";
	public static final String MANAGE_PKG_COMP_ID = "CompetitionID";
	public static final String MANAGE_PKG_COMP_TITLE = "CompetitionTitle";
	public static final String MANAGE_PKG_ELECT_REQ = "ElectronicSignatureRequired";
	public static final String MANAGE_PKG_EXP_APP_COUNT = "ExpectedApplicationCount";
	public static final String MANAGE_PKG_EXP_APP_SIZE = "ExpectedApplicationSizeMB";
	public static final String MANAGE_PKG_OPENING_DATE = "OpeningDate";
	public static final String MANAGE_PKG_CLOSING_DATE = "ClosingDate";
	public static final String MANAGE_PKG_GRACE_PERIOD = "GracePeriodDays";
	public static final String MANAGE_PKG_CONTACT_INFO = "AgencyContactInfo";
	public static final String MANAGE_PKG_TMPL_NAME = "TemplateName";
	public static final String MANAGE_PKG_INST_FILE_INFO = "InstructionFileInfo";
	public static final String MANAGE_PKG_FILE_NAME = "FileName";
	public static final String MANAGE_PKG_FILE_EXT = "FileExtension";
	public static final String MANAGE_PKG_CID = "FileContentId";
	public static final String MANAGE_PKG_OPEN_TO_APP_TYPE = "OpenToApplicant";
	public static final String MANAGE_PKG_EMAIL_INFO = "EmailInfo";
	public static final String MANAGE_PKG_SEND_EMAIL = "SendChangeNotificationEmail";
	public static final String MANAGE_PKG_EMAIL_COMMENTS = "ModificationComments";
	
	
	public static final String CREATE_ADOBE_OPP_INFO = "CreateAdobeOpportunityInfo";
	public static final String UPDATE_ADOBE_OPP_INFO = "UpdateAdobeOpportunityInfo";
	public static final String SYNOPSIS_XML = "FundingOppSynopsis_2_0";
	public static final String SYNOPSIS_MOD_XML = "FundingOppModSynopsis_2_0";
	public static final String SYNOPSIS_POST_DATE="PostingDate";
	public static final String SYNOPSIS_USER_ID="UserID";
	public static final String SYNOPSIS_PASSWORD="Password";
	public static final String SYNOPSIS_FUNDING_INST="FundingInstrument";
	public static final String SYNOPSIS_FUNDING_ACT_CAT="FundingActivityCategory";
	public static final String SYNOPSIS_OTHER_FUNDING_CAT_EXP="OtherFundingCategoryExplanation";
	public static final String SYNOPSIS_EXPECTED_NUM_OF_AWARDS="ExpectedNumberOfAwards";
	public static final String SYNOPSIS_ESTIMATED_FUNDING="EstimatedFunding";
	public static final String SYNOPSIS_AWARD_CEILING="AwardCeiling";
	public static final String SYNOPSIS_AWARD_FLOOR="AwardFloor";
	public static final String SYNOPSIS_FUNDING_OPP_TITLE="FundingOpportunityTitle";
	public static final String SYNOPSIS_FUNDING_OPP_NUM="FundingOpportunityNumber";
	public static final String SYNOPSIS_FUNDING_OPP_DESC="FundingOpportunityDescription";
	public static final String SYNOPSIS_ClOSING_DATE="ClosingDate";
	public static final String SYNOPSIS_CLOSING_DATE_EXP="ClosingDateExplanation";
	public static final String SYNOPSIS_ARCHIVE_DATE="ArchiveDate";
	public static final String SYNOPSIS_CFDA_NUM="CFDANumber";
	public static final String SYNOPSIS_ELIGIBILE_APP_TYPE="EligibleApplicantTypes";
	public static final String SYNOPSIS_OTHER_ELIGIBILE_APP_EXP="OtherEligibleApplicantExplanation";
	public static final String SYNOPSIS_COST_SHARING_OR_MATCHING_REQ="CostSharingOrMatchingRequirement";
	public static final String SYNOPSIS_AGENCY_CONTACT="AgencyContact";
	public static final String SYNOPSIS_AGENCY_CONTACT_DESC="AgencyContactDescription";
	public static final String SYNOPSIS_AGENCY_EMAIL_ADDR="AgencyEmailAddress";
	public static final String SYNOPSIS_AGENCY_EMAIL_DESC="AgencyEmailDescription";
	public static final String SYNOPSIS_ADD_INFO="AdditionalInformation";
	public static final String SYNOPSIS_ADD_INFO_URL="AdditionalInformationURL";
	public static final String SYNOPSIS_ADD_INFO_URL_DESC="URLDescription";
	public static final String SYNOPSIS_MOD_SEND_EMAIL="SendChangeNotificationEmail";
	public static final String SYNOPSIS_MOD_EMAIL_COMMENTS="ModificationComments";
		
	/* ================================ */
	/* Manage Package Xml element names */
	/* ================================ */
	
	
	/* =========================================== */
	/* agency-s2s-config.properties property names */
	/* =========================================== */
	public static final String DOWNLOAD_DIR__KEY = "DIR_TO_WRITE_APPS";
	
}
